Bug 2093049 - Flaky test: pod sysctls should not affect node
Summary: Flaky test: pod sysctls should not affect node
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Test Framework
Version: 4.11
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.11.0
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-06-02 19:39 UTC by Dan Williams
Modified: 2022-07-18 14:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 27203 0 None Merged Bug 2093049: test/extended/networking: fix [pod sysctls should not affect node] to use host interfaces 2022-06-06 18:54:09 UTC
Github openshift origin pull 27219 0 None Merged Revert "Bug 2093049: test/extended/networking: fix [pod sysctls should not affect node] to use host interfaces" 2022-06-06 18:54:11 UTC
Github openshift origin pull 27221 0 None Merged Bug 2093049: test/extended/networking: fix [pod sysctls should not affect node] to use known host interfaces 2022-06-09 17:15:58 UTC

Description Dan Williams 2022-06-02 19:39:16 UTC
The test lists all interfaces on the host without any ordering, and thus captures pod interfaces that are long gone by the time it tries to use the interface name for the test.

Comment 3 Ken Zhang 2022-06-06 14:03:51 UTC
The current fix broke the nightly runs with this test failure: "pod sysctls should not affect node"

Example run: https://prow.ci.openshift.org/view/gs/origin-ci-test/logs/aggregated-azure-ovn-upgrade-4.11-micro-release-openshift-release-analysis-aggregator/1533147727993507840

Comment 6 Devan Goodwin 2022-07-18 12:12:54 UTC
Dan can this be moved to verified?

Comment 7 Dan Williams 2022-07-18 14:33:31 UTC
Yes, this has not been seen in jobs for quite a while.


Note You need to log in before you can comment on or make changes to this bug.